@import url(../../../global/style.css);

:root {
    --cor-principal: #9d070d;
    --cor-escura: #312f30;
    --cor-clara: #f4f4f4;
}

.links {
    ul {
        gap: 5px;
        display: flex;

        li {
            padding: 5px;
            border-right: 1px solid var(--cor-principal);
            border-left: 1px solid var(--cor-principal);

            a {
                color: var(--cor-principal);
            }
        }

        li:hover {
            transition: 0.5s;
            background-color: var(--cor-principal);

            a {
                color: var(--cor-clara);
            }
        }
    }
}

h1 {
    font-weight: 700;
    font-size: 1.3vw;
    padding: 50px 0 0px 0;
}

main {
    padding: 50px 10% 0 10%;
}

main>section.product:first-of-type {
    border-bottom: 1px solid var(--cor-principal);
}

.product-principal {
    display: flex;
    justify-content: space-between;
    padding-top: 50px;
    gap: 15%;
}

.product-principal-image {
    width: 50%;
    border-left: 1px solid var(--cor-principal);
    border-bottom: 1px solid var(--cor-principal);

    img {
        width: 100%;
        padding-left: 5%;
    }
}

.product-principal>.product-principal-image:last-child {
    border-left: none;
    border-right: 1px solid var(--cor-principal);
}

.product-principal-text {
    width: 35%;
    display: flex;
    align-items: start;
    justify-content: center;
    flex-direction: column;

    h2 {
        font-size: 2vw;
    }

    p {
        padding-top: 30px;
        font-size: 1vw;
        text-align: justify;

        strong {
            font-size: 1vw;
            color: var(--cor-principal);
        }
    }

    ul {
        padding-top: 15px;
        padding-left: 1vw;

        li {
            list-style: disc;

            p {
                padding-top: 15px;
            }
        }

        li::marker {
            font-size: 1vw;
        }
    }
}

.product-secondary {
    display: flex;
    justify-content: space-between;
    padding-top: 50px;
    padding-bottom: 50px;
}

.product-secondary-features {
    width: 50%;
    display: flex;
    flex-direction: column;
}

.product-secondary-features-sizes {
    margin: 0;
    width: 100%;
    border: 1px solid #e7e8e9;

    thead {
        border: 1px solid #e7e8e9;

        th {
            border-right: 1px solid #e7e8e9;
            padding: 10px;
            color: var(--cor-principal);
            font-size: 1vw;
            font-weight: 800;
        }

        th:last-child {
            border-right: none;
        }
    }

    tbody {
        tr {
            td {
                border-right: 1px solid #e7e8e9;
                border-top: 1px solid #e7e8e9;
                padding: 10px;
                text-align: center;
                font-size: 1vw;

                svg {
                    width: 2.2vw;
                    height: 3vw;
                }

                svg:hover {
                    width: 2.5vw;
                    height: 3.2vw;
                    transition: 0.2s;
                }
            }

            td:last-child {
                border-right: none;
            }
        }
    }
}

.product-secondary-features-sizes:not(:first-child) {
    margin-top: 50px;
}

.product-secondary-colors {
    width: 40%;

    p:first-child {
        width: 50%;
        padding: 0.8vw;
        background-color: var(--cor-principal);
        border-radius: 0 50px 0 0;
        color: var(--cor-clara);
        font-size: 1vw;
    }
}

.product-secondary-colors-description {
    display: flex;
    flex-wrap: wrap;
    justify-content: baseline;
    border: 1px solid #e7e8e9;
}

.product-secondary-colors-description-item {
    padding: 15px 0 15px 15px;
    display: flex;
    gap: 3%;
    align-items: center;
    width: 50%;

    img {
        width: 5vw;
        height: 5vw;
    }

    p {
        font-size: 1vw;
        font-weight: 500;
    }
}

.product-banner {
    display: flex;
    gap: 5%;
    padding-top: 50px;
}

.product-banner-img {
    width: 50%;

    img {
        width: 40vw;
    }
}

.product-banner-text {
    width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: start;

    h3 {
        font-size: 1.8vw;

        strong {
            font-size: 1.5vw;
            color: var(--cor-principal);
        }
    }

    p {
        font-size: 1vw;
        padding-top: 50px;

        strong {
            font-size: 1vw;
        }
    }

    img {
        width: 10vw;
        padding-top: 50px;
    }
}

@media screen and (max-width: 800px) {

    main {
        padding: 30px 3% 0 3%;
    }

    .links {
        ul {

            li {


                a {
                    font-size: 10px;
                }
            }
        }
    }

    h1 {
        padding: 30px 0 0 0;
        font-size: 5vw;
    }

    .product-principal {
        gap: 10%;
        padding-top: 30px;
        flex-direction: column;
    }

    .product-principal-image {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .product-principal-text {
        width: 100%;
        padding-top: 15px;

        h2 {
            font-size: 15px;
        }

        p {
            padding-top: 10px;
            font-size: 12px;

            strong {
                font-size: 12px;
            }
        }

        ul {
            padding-top: 15px;
            padding-left: 15px;

            li {
                list-style: disc;

                p {
                    padding-top: 5px;
                }
            }

            li::marker {
                font-size: 10px;
            }
        }

    }

    .product-secondary {
        padding-top: 30px;
        padding-bottom: 30px;
        flex-direction: column;
    }

    .product-secondary-features {
        width: 100%;
        display: flex;
        flex-direction: column;
    }

    .product-secondary-features-sizes {

        thead {

            th {
                padding: 3px;
                font-size: 8px;
            }

            th:last-child {
                border-right: none;
            }
        }

        tbody {
            tr {
                td {
                    padding: 3px;
                    font-size: 10px;

                    svg {
                        width: 25px;
                    }
                }

                td:last-child {
                    border-right: none;
                }
            }
        }
    }

    .product-secondary-features-sizes:not(:first-child) {
        margin-top: 15px;
    }

    .product-secondary-colors {
        width: 100%;
        padding-top: 30px;

        p:first-child {
            width: 50%;
            padding: 0.8vw;
            font-size: 8px;
        }

    }

    .product-secondary-colors-description-item {
        padding: 3px 0 3px 3px;

        img {
            width: 8vw;
            height: 8vw;
        }

        p {
            font-size: 10px
        }
    }

    .product-banner {
        padding-top: 30px;
    }

    .product-banner-text {

        h3,
        h3>strong {
            font-size: 12px;
        }

        p {
            padding-top: 15px;
            font-size: 10px;

            strong {
                font-size: 10px;
            }
        }

        img {
            padding-top: 15px;
            width: 18vw;
        }
    }
}